%define modname rpyc

Name:           python-%{modname}
Version:        3.0.7
Release:        1%{?dist}
Summary:        A Transparent, Symmetrical Python Library for Distributed-Computing
URL:            http://rpyc.wikidot.com/
License:        MIT
Group:          Development/Libraries
Source:         http://downloads.sourceforge.net/project/%{modname}/main/%{version}/%{modname}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  python, python-devel
Requires:       python

%description
RPyC, or Remote Python Call, is a transparent and symmetrical python library
for remote procedure calls, clustering and distributed-computing.
RPyC makes use of object-proxies, a technique that employs python's dynamic
nature, to overcome the physical boundaries between processes and computers,
so that remote objects can be manipulated as if they were local.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}/*
%attr(755,root,root) %{python_sitelib}/rpyc/servers/*

%changelog
* Sun Feb 20 2011 - Erez Shinan <erez27@gmail.com> - 3.0.7-1
- Initial release
